LPCOpen Platform for LPC18XX/43XX microcontrollers: BOARD: Various RAM memory tests

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

Data Structures | Functions
BOARD: Various RAM memory tests
BOARD: Common board components used with board drivers

## Detailed Description

## Data Structures
struct | MEM_TEST_SETUP_T
| Memory test address/size and result structure. More...

## Functions
bool | mem_test_walking0 (MEM_TEST_SETUP_T *pMemSetup)
| Walking 0 memory test. More...
bool | mem_test_walking1 (MEM_TEST_SETUP_T *pMemSetup)
| Walking 1 memory test. More...
bool | mem_test_address (MEM_TEST_SETUP_T *pMemSetup)
| Address memory test. More...
bool | mem_test_invaddress (MEM_TEST_SETUP_T *pMemSetup)
| Inverse address memory test. More...
bool | mem_test_pattern (MEM_TEST_SETUP_T *pMemSetup)
| Pattern memory test. More...
bool | mem_test_pattern_seed (MEM_TEST_SETUP_T *pMemSetup, uint32_t seed, uint32_t incr)
| Pattern memory test with seed and increment value. More...

## Function Documentation

bool mem_test_address | ( | MEM_TEST_SETUP_T * | pMemSetup | ) |

Address memory test.

Parameters

  pMemSetup | : Memory test setup (and returned results)

Returns
  true if the test passed, or false on failure

Note
  Writes the address to each memory location and verifies the result after all memory locations are written

Definition at line 145 of file mem_tests.c.

bool mem_test_invaddress | ( | MEM_TEST_SETUP_T * | pMemSetup | ) |

Inverse address memory test.

Parameters

  pMemSetup | : Memory test setup (and returned results)

Returns
  true if the test passed, or false on failure

Note
  Writes the inverse address to each memory location and verifies the result after all memory locations are written

Definition at line 181 of file mem_tests.c.

bool mem_test_pattern | ( | MEM_TEST_SETUP_T * | pMemSetup | ) |

Pattern memory test.

Parameters

  pMemSetup | : Memory test setup (and returned results)

Returns
  true if the test passed, or false on failure

Note
  Writes the an alternating 0x55/0xAA pattern to each memory location and verifies the result after all memory locations are written

Definition at line 217 of file mem_tests.c.

bool mem_test_pattern_seed | ( | MEM_TEST_SETUP_T * | pMemSetup,
|  | uint32_t | seed,
|  | uint32_t | incr
| ) |  |

Pattern memory test with seed and increment value.

Parameters

  pMemSetup | : Memory test setup (and returned results)
  seed | : Initial seed value for test
  incr | : Increment value for each memory location

Returns
  true if the test passed, or false on failure

Note
  Writes the an alternating pattern to each memory location based on a passed seed and increment value and verifies the result after all memory locations are written

Definition at line 257 of file mem_tests.c.

bool mem_test_walking0 | ( | MEM_TEST_SETUP_T * | pMemSetup | ) |

Walking 0 memory test.

Parameters

  pMemSetup | : Memory test setup (and returned results)

Returns
  true if the test passed, or false on failure

Note
  Writes a shifting 0 bit pattern to the entire memory range and verifies the result after all memory locations are written

Definition at line 53 of file mem_tests.c.

bool mem_test_walking1 | ( | MEM_TEST_SETUP_T * | pMemSetup | ) |

Walking 1 memory test.

Parameters

  pMemSetup | : Memory test setup (and returned results)

Returns
  true if the test passed, or false on failure

Note
  Writes a shifting 1 bit pattern to the entire memory range and verifies the result after all memory locations are written

Definition at line 99 of file mem_tests.c.